import ts from "typescript";
export interface Params$Create {
    members: readonly ts.TypeElement[] | undefined;
}
export interface Factory {
    create: (params: Params$Create) => ts.TypeLiteralNode;
}
export declare const create: ({ factory }: Pick<ts.TransformationContext, "factory">) => Factory["create"];
export declare const make: (context: Pick<ts.TransformationContext, "factory">) => Factory;
