import ts from "typescript";
import type { CodeGenerator, OpenApi } from "../../types";
import * as ConvertContext from "./ConverterContext";
export { ConvertContext };
export declare class Parser {
    private entryPoint;
    private readonly rootSchema;
    private currentPoint;
    private convertContext;
    private store;
    private factory;
    constructor(entryPoint: string, rootSchema: OpenApi.Document, noReferenceOpenApiSchema: OpenApi.Document, convertOption?: ConvertContext.Options);
    private initialize;
    getCodeGeneratorParamsArray(allowOperationIds?: string[]): CodeGenerator.Params[];
    getOpenApiTypeDefinitionStatements(): ts.Statement[];
    getAdditionalTypeStatements(): ts.Statement[];
}
