import ts from "typescript";
import type { OpenApi } from "../../../types";
import { Factory } from "../../TsGenerator";
import * as ConverterContext from "../ConverterContext";
import * as ToTypeNode from "../toTypeNode";
import type * as Walker from "../Walker";
export declare const generateNamespace: (entryPoint: string, currentPoint: string, store: Walker.Store, factory: Factory.Type, parentPath: string, name: string, pathItem: OpenApi.PathItem, context: ToTypeNode.Context, converterContext: ConverterContext.Types, options?: {
    topComment?: string | undefined;
} | undefined) => void;
export declare const generateStatements: (entryPoint: string, currentPoint: string, store: Walker.Store, factory: Factory.Type, requestUri: string, pathItem: OpenApi.PathItem, context: ToTypeNode.Context, converterContext: ConverterContext.Types) => ts.Statement[];
